Skip to content

List webhook subscriptions

GET
/api/webhooks/subscription/list
Code sample: Shell / cURL
curl --request GET \
--url https://api.ztlpay.io/api/webhooks/subscription/list \
--header 'Authorization: Bearer <token>'

Enabled and disabled subscriptions belonging to the authenticated partner.

Media typeapplication/json
Array<object>
object
id
required
string format: uuid
targetUrl
required
string format: uri
enabled
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
eventTypes
required
Array<string>
unique items
Allowed values: PAYMENT_STATUS PAYMENT_STATUS_UNSIGNED PAYMENT_STATUS_IN_PROGRESS PAYMENT_STATUS_REJECTED PAYMENT_STATUS_COMPLETED PAYMENT_STATUS_CANCELLED PAYMENT_STATUS_CUSTOMER_ACTION_REQUIRED
hasBearerToken
required
boolean
Example
[
{
"eventTypes": [
"PAYMENT_STATUS"
]
}
]

Authentication failed.